Index: /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90	(revision 763)
@@ -1,20 +1,17 @@
 MODULE initrc
-   !!================================================
-   !!
-   !!                       *** MODULE initrc ***
-   !! Initialisation the tracer model
-   !!================================================
-                                                                                                                            
+   !!======================================================================
+   !!                         ***  MODULE initrc  ***
+   !! TOP :   Initialisation of passive tracers
+   !!======================================================================
+   !! History :    -   !  1991-03  ()  original code
+   !!             1.0  !  2005-03 (O. Aumont, A. El Moussaoui) F90
+   !!              -   !  2005-10 (C. Ethe) print control
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
-
-   !!-------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!-------------------------------------------------------
-
-   !!--------------------------------------------------------------
-   !! * Modules used
-   !! ==============
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   ini_trc    :  initialisation of passive tracers
+   !!----------------------------------------------------------------------
    USE oce_trc
    USE trc
@@ -29,10 +26,13 @@
    PRIVATE
    
-   
-   !! * Accessibility
-   PUBLIC ini_trc
+   PUBLIC   ini_trc   ! called by ???
 
     !! * Substitutions
 #  include "domzgr_substitute.h90"
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
   
 CONTAINS
@@ -40,136 +40,72 @@
    SUBROUTINE ini_trc
       !!---------------------------------------------------------------------
+      !!                     ***  ROUTINE ini_trc  ***
       !!
-      !!                       ROUTINE ini_trc
-      !!                     ******************
+      !! ** Purpose :   Initialization of the passive tracer fields 
       !!
-      !!  PURPOSE :
-      !!  ---------
-      !!     initialize the tracer model
-      !!
-      !!   METHOD :
-      !!   -------
-      !!
-      !!
-      !!   History:
-      !!   -------
-      !!      original  : 91-03 ()
-      !!      additions : 92-01 (C. Levy)
-      !!                  05-03 (O. Aumont and A. El Moussaoui) F90
-      !!                  05-10 (C. Ethe ) print control initialization 
-      !!----------------------------------------------------------------------
+      !! ** Method  : - read namelist
+      !!              - control the consistancy 
+      !!              - compute specific initialisations
+      !!              - set initial tracer fields (either read restart 
+      !!                or read data or analytical formulation
+      !!---------------------------------------------------------------------
+      INTEGER ::   ji, jj, jk, jn    ! dummy loop indices
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zbt   ! workspace: masked grid volume
+      !!---------------------------------------------------------------------
 
-      !!---------------------------------------------------------------------
-      !!  OPA.9, 03-2005
-      !!---------------------------------------------------------------------
-      INTEGER :: ji, jj, jk, jn    !: dummy loop indices
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'ini_trc : initial set up of the passive tracers'
+      IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      !! 0.b PRINT the number of tracer
-      !! ------------------------------
+      !                 ! masked grid volume
+      DO jk = 1, jpk
+         zbt(:,:,jk) = e1t(:,:) * e2t(:,:) * fse3t(:,:,jk) * tmask(:,:,jk) * tmask_i(:,:)
+      END DO
+#if defined key_off_degrad
+      zbt(:,:,:) = zbt(:,:,:) * facvol(ji,jj,jk)      ! degrad option: reduction by facvol
+#endif
 
-      IF(lwp) WRITE(numout,*) ' '
-      IF(lwp) WRITE(numout,*) ' *** number of passive tracer jptra = ',jptra
-      IF(lwp) WRITE(numout,*) ' '
+      !                 ! total volume of the ocean
+      areatot = SUM( zbt(:,:,:) )
+      IF( lk_mpp )   CALL mpp_sum( areatot )     ! sum over the global domain  
 
-      ! 1. READ passive tracers namelists
-      ! ---------------------------------
+      CALL trc_lec      ! READ passive tracers namelists
 
-      CALL trc_lec
+      CALL trc_ctl      ! control consistency between parameters, cpp key and namelists
 
-      ! 2. control consistency between parameters, cpp key and namelists
-      ! ----------------------------------------------------------------
+      CALL trc_ini      ! computes some initializations
 
-      CALL trc_ctl
-
-      ! 3. computes some initializations
-      ! --------------------------------
-
-      CALL trc_ini
-
- 
-      ! 4. total volume of the ocean
-      !-----------------------------
-
-      areatot = 0.
-      DO jk = 1, jpk
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               areatot = areatot + tmask(ji,jj,jk) * tmask_i(ji,jj)  &
-#if defined key_off_degrad
-                  &                * facvol(ji,jj,jk)    &
-#endif
-                  &                * e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk) 
-            END DO
-         END DO
-      END DO
-      IF( lk_mpp ) THEN 
-         CALL mpp_sum(areatot)     ! sum over the global domain  
-      END IF
-
-      IF(lwp) WRITE(numout,*) ' '
-      IF (lwp) WRITE(numout,*) 'Total volume of ocean =',areatot
-      IF(lwp) WRITE(numout,*) ' '
-
-      ! 5. Initialization of tracers
-      ! -----------------------------
-
-      IF( lrsttr ) THEN
-
-         ! 5.1 restart from a file
-         !------------------------
-         CALL trc_rst_read
-
-      ELSE
-
-         !  5.2 analytical formulation or global data
-         !-------------------------------------
-         CALL trc_dtr
-
+      !                 ! set initial tracer values 
+      IF( lrsttr ) THEN   ;   CALL trc_rst_read      ! restart from a file
+      ELSE                ;   CALL trc_dtr           ! analytical formulation or from data
       ENDIF
 
+      !                 ! Computation content of all tracers
+      trai = 0.e0
+      DO jn = 1, jptra
+         trai = trai + SUM( trn(:,:,:,jn) * zbt(:,:,:) )
+      END DO      
+      IF( lk_mpp )   CALL mpp_sum( trai )     ! sum over the global domain  
 
-      ! 6. Computation integral of all tracers
-      !------------------
 
-      trai = 0.
-      DO jn = 1, jptra
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  trai = trai + trn(ji,jj,jk,jn) * tmask(ji,jj,jk) * tmask_i(ji,jj)    &
-#if defined key_off_degrad
-                     &              * facvol(ji,jj,jk)   &
-#endif
+      !                 ! control print
+      IF(lwp) WRITE(numout,*) '          *** Total number of passive tracer jptra = ', jptra
+      IF(lwp) WRITE(numout,*) '          *** Total volume of ocean                = ', areatot
+      IF(lwp) WRITE(numout,*) '          *** Total inital content of all tracers  = ', trai
+      IF(lwp) WRITE(numout,*)
 
-                     &              * e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk)
-               END DO
-            END DO
-         END DO
-      ENDDO
-      
-      IF( lk_mpp ) THEN 
-         CALL mpp_sum(trai)         ! sum over the global domain  
-      END IF
-
-      IF(lwp) WRITE(numout,*) ' '     
-      IF(lwp) WRITE(numout,*) 'Integral of all tracers over the full domain at initial time =',trai
-      IF(lwp) WRITE(numout,*) ' '
-
-      ! 6. Print control
-      !------------------
-
-      IF( ln_ctl )    CALL prt_ctl_trc_init
-
+      IF( ln_ctl )   CALL prt_ctl_trc_init      ! control print
+      !
    END SUBROUTINE ini_trc
 
-
 #else
-   !!======================================================================
-   !!  Empty module : No passive tracer
-   !!======================================================================
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE ini_trc      
+   SUBROUTINE ini_trc                      ! Dummy routine   
    END SUBROUTINE ini_trc
 #endif
 
+   !!======================================================================
 END MODULE initrc 
